*{
	font-family: sans-serif; 
	font-size: 20px;
	margin: 0; 
	padding: 0;
} 
/*universal selector affects all elements*/
/*monospace; font of the text*/
/*clear before editing */
 /*size of the text*/

h1{
	color: darkgreen;
	text-align: center;
	font-size: 2rem; 
}
/*rem = default size x number*/

h2{
	color: blue;
}
/* h1 selectors - select elements by tag name*/

#zuitt-motto{
	color: darkgrey;
	letter-spacing: 2px;
}

/*relative lengths - change relative to something
	ex.	% percent of page
		em font size
		rem current font size
		vh height of vp
		vw height of vp
	absolute - do not chnage
	ex. px pixels
		in inches
		pt points

 */

html{
	scroll-behavior: smooth;
}

body{
	background-color: floralwhite;
}


nav{
	background-color: rebeccapurple;
}

nav a{
	color: #ffffff;
	text-decoration: none;
	margin: 2px;
	padding: 5px;
	display: inline-block;
}

section{
	height: 100vh; /*vh -viewport height percentage of overall height of the  screen*/
	text-align: center; /*align text horizontally */
}

section a{
	text-decoration: none;
	font-size: 15px;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style: none;
}

.offeringitem{
	text-transform: uppercase;
}


/*attribute selector allows to select
 a particular element with same attr
 	border-width - thickness of element's border 
 	border-style determine style of the border
 	border-color - color of border*/

 input[required]{
 	border-width: 2px;
 	border-style: solid;
 	border-color: blueviolet;
 	width: 90%;
 	/*	90% of the parent element*/
 }

 /*adjacent sibling selector - select a particular
  element that immediately follows a sibling element
  selector + selector*/

#zuitt-motto + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*height and width - resize elemet
border-radius - rounds corners*/


/*combinators - combine selectors*/

/*descendants selector - allows to select
elements that are the descendants of the 1st  selector
	color property and other similar accept hex values*/

#bootcamp-learning-list li{
	color: red;
}

/*general sibling selector sibling after previous sibling

h2 ~ a{
	text-decoration: none;
}*/


/*register*/

form {
	text-align: center;
	background-color: grey;
	border:  2px solid black;
	height: 305px;
	width: 70%;
	position: relative;
	/*position based on certain criteria
		relative - measurement to the left of the element
		based on the measurement of the parent element
		*/
	left: 20%;
	/*value of left property 40% of the parent
	37% mula sa left*/
}

/*child selector - parent and child
	ex. section > form > label*/ 

section > form > label {
	color: rgb(0, 0, 128);
}

button{
	background-color: #cf0053;
	border: zero;
	border-radius: 15px;
	padding: 10px;
}

